Bug 120556 - Unable to mount CDs & DVDs
Unable to mount CDs & DVDs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-10 15:01 EDT by Adam Browning
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 06:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Browning 2004-04-10 15:01:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
After upgrading to Fedora Core 2 test 2, I can no longer mount CDs or
DVDs.  When I issue the command "mount /mnt/cdrom" with a CD in the
drive, I get the message "mount: /dev/cdrom is not a valid block
device".  This happens for by my DVD-ROM and CD-ROM drives, both as a
regular user and as root.  I am NOT running the latest kernel since it
doesn't work with the nvidia driver.  I am using kernel 2.6.1-1.149smp
which is what I was using before I upgraded to FC2 test2.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert a CD or DVD into a drive
2. Type "mount /mnt/cdrom"
    

Actual Results:  mount: /dev/cdrom is not a valid block device

Expected Results:  The CD or DVD should have been mounted at /mnt/cdrom

Additional info:

Here is my /etc/fstab file:

LABEL=/                 /                       ext3    defaults     
  1 1
LABEL=/boot             /boot                   ext3    defaults     
  1 2
none                    /dev/pts                devpts  gid=5,mode=620
 0 0
LABEL=/home             /home                   ext3    defaults     
  1 2
LABEL=/mnt/tivo         /mnt/tivo               ext3    defaults     
  1 2
none                    /proc                   proc    defaults     
  0 0
none                    /dev/shm                tmpfs   defaults     
  0 0
/dev/hdf2               swap                    swap    defaults     
  0 0
/dev/hde5               swap                    swap    defaults     
  0 0
/dev/fd0                /mnt/floppy             auto   
noauto,owner,kudzu 0 0
none                    /sys                    sysfs   defaults     
  0 0
/dev/cdrom              /mnt/cdrom              udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/cdrom1             /mnt/cdrom1             udf,iso9660
noauto,owner,kudzu,ro 0 0
/dev/sdb1               /mnt/flashstick         vfat   
user,noauto,owner,umask=0 0 0
//sam/E                 /mnt/sam_e              smbfs  
user,noauto,owner,umask=0 0 0
/dev/sda1               /mnt/flash              auto   
noauto,owner,kudzu 0 0
Comment 1 Harald Hoyer 2004-04-21 10:04:36 EDT
do you have selinux enabled and udev running?
Comment 2 Harald Hoyer 2004-06-04 06:23:51 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.